Bug 170106 - hidups driver can't open device in nut-2.0.2-0.fc4.2
Summary: hidups driver can't open device in nut-2.0.2-0.fc4.2
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: nut   
(Show other bugs)
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-10-07 12:09 UTC by Matthew Saltzman
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-24 16:59:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matthew Saltzman 2005-10-07 12:09:05 UTC
Description of problem:
When hidups driver attempts to open /dev/hiddev0, permission is denied.

Version-Release number of selected component (if applicable):
nut-2.0.2-0.fc4.2

How reproducible:
always

Steps to Reproduce:
1. install and configure nut to use hidups driver
2. service ups start
3.
  
Actual results:
# service ups start
Starting hidups: Network UPS Tools: HID UPS driver 0.13 (2.0.2)

Warning: This is an experimental driver.
Some features may not function correctly.

hiddev path open /dev/hiddev0: Permission denied
                                                           [FAILED]
Starting upsd: Network UPS Tools upsd 2.0.2
Can't connect to UPS [igor-ups] (hidups-hiddev0): No such file or directory
Synchronizing........ giving up
                                                           [  OK  ]
Starting UPS monitor (master): Network UPS Tools upsmon 2.0.2
UPS: igor-ups@localhost (master) (power value 1)
Using power down flag file /etc/killpower

                                                           [  OK  ]
Broadcast message from nut (Fri Oct  7 07:42:59 2005):

Communications with UPS igor-ups@localhost lost

Broadcast message from nut (Fri Oct  7 07:43:04 2005):

UPS igor-ups@localhost is unavailable


Expected results:
# service ups start
Starting hidups: Network UPS Tools: HID UPS driver 0.13 (2.0.1)

Warning: This is an experimental driver.
Some features may not function correctly.

Detected American Power Conversion Back-UPS LS 700 FW:19.b3 .D USB FW:b3
on port /dev/hiddev0
                                                           [  OK  ]
Starting upsd: Network UPS Tools upsd 2.0.1
/etc/ups/upsd.conf is world readable
Connected to UPS [igor-ups]: hidups-hiddev0
Synchronizing...done
                                                           [  OK  ]
Starting UPS monitor (master): Network UPS Tools upsmon 2.0.1
UPS: igor-ups@localhost (master) (power value 1)
Using power down flag file /etc/killpower

                                                           [  OK  ]


Additional info:

Worked fine in nut-2.0.1-1.  Permissions on /dev/hiddev have not changed.

# ls -l /dev/hiddev0
crw-rw----  1 root root 180, 96 Sep 30 08:25 /dev/hiddev0

Comment 1 Per Nystrom 2005-10-15 21:38:02 UTC
Not sure if this is related, but this latest rpm does not appear to install
these files:

/etc/hotplug/usb/libhidups
/etc/hotplug/usb/libhid.usermap

From what I've read, they are required to set appropriate permissions for
newhidups -- don't know about hidups.

Comment 2 Ngo Than 2006-03-06 15:48:10 UTC
Yes, the hotplug scripts are not included in latest rpm. Matthew, could   
yould please copy the missing scripts (you find them in  
nut-2.0.2/scripts/hotplug) in /etc/hotplug/usb/, and test it again? Thanks 

Comment 3 Matthew Saltzman 2006-03-09 14:47:41 UTC
Just copying libhidups and libhid.usermap (and making libhidups executable) does
not help.  The README suggests that these scripts are for kernel-2.4 and that an
update is needed for kernel-2.6 udev.   It also refers to running
update-usb.usermap, which does not exist on my system.

Comment 4 Ngo Than 2006-04-24 16:59:13 UTC
yes, the udev rule is needed in FC4/FC5. I have built new nut-2.0.3 in rawhide
which should fix this problem. for FC4/FC5 update i will build later this week.
Thanks for your report.


Note You need to log in before you can comment on or make changes to this bug.